#ifndef CONFIG_H_
#define CONFIG_H_

// 60 Hz refresh rate = 1/60 = 0.0166666... seconds = 16666 microseconds
// Change as suited for your monitor
#define REFRESH_INTERVAL 16666

// Colors are just configured like RBG, if you don't recognize
// this color format, search it up and find it out yourself
static const unsigned long int RED = 0xFF0000;
static const unsigned long int GREEN = 0x00FF00;
static const unsigned long int YELLOW = 0xFFFF00;
static const unsigned long int BLUE = 0x0000FF;
static const unsigned long int MAGENTA = 0xFF00FF;
static const unsigned long int CYAN = 0x00FFFF;
static const unsigned long int DARK_GRAY = 0x808080;
static const unsigned long int LIGHT_RED = 0xFF8080;
static const unsigned long int LIGHT_GREEN = 0x80FF80;
static const unsigned long int LIGHT_YELLOW = 0xFFFF80;
static const unsigned long int LIGHT_BLUE = 0x8080FF;
static const unsigned long int LIGHT_MAGENTA = 0xFF80FF;
static const unsigned long int LIGHT_CYAN = 0x80FFFF;

// Configuring Fonts (for dummies)
// They are formated like this:
// -foundry-family-weight-slant-width--pixels-points-horz-vert-spacing-width-charset
// Here are some common examples:
//   "-misc-fixed-medium-r-normal--13-120-75-75-c-70-iso8859-1"
//   "-adobe-courier-medium-r-normal--14-140-75-75-m-90-iso8859-1"
//   "-bitstream-terminal-medium-r-normal--18-140-100-100-c-110-iso8859-1"
// Use 'xlsfonts' command to list available fonts
static const char REGULAR_FONT[] =
    "-misc-fixed-medium-r-normal--13-120-75-75-c-70-iso8859-1";
static const char BOLD_FONT[] =
    "-misc-fixed-bold-r-normal--13-120-75-75-c-70-iso8859-1";
static const char ITALICS_FONT[] =
    "-misc-fixed-medium-o-normal--13-120-75-75-c-70-iso8859-1";

// Change the window name to whatever you want lmao
static const char window_name[] = "CowTerm";

#endif // CONFIG_H_
